<div class="flexcol acariaempire dice-stats">

    {{#if trouble}}
        <h2>{{localize 'AEDICES.stats.trouble.title'}}</h2>
        <span class="comment">{{localize 'AEDICES.stats.trouble.comment'}}</span>
        <div class="flexrow trouble-line">
            <img src="{{trouble.msgIcon}}">
            <div class="flexcol">
                <h4 class="icon-title">{{trouble.name}}</h4>
                {{#each trouble.description as |line|}}
                    <span class="comment">{{line}}</span>
                {{/each}}
            </div>
        </div>
    {{/if}}

    {{#if displaySuccess}}
        <h2>{{localize 'AEDICES.stats.success.title'}}</h2>
        <span class="comment">{{localize 'AEDICES.stats.success.comment'}}</span>

        {{#each successLines as |baseScoreLine|}}
            <h3>{{localize 'AEDICES.stats.success.baseScore.subtitle'}}&nbsp;{{baseScoreLine.baseScore}}</h3>
            {{#each baseScoreLine.children as |masteryLine|}}
                <h4 class="with-margin">{{masteryLine.subtitle}}</h4>
                {{#each masteryLine.children as |risk|}}
                    <div class="flexrow stat-line">
                        <span class="risk-data">{{risk.risk}}</span>
                        {{#each risk.stats as |chance|}}
                            {{#if chance.displayed}}
                                <div class="stat-box" style="{{chance.style}}" title="{{chance.tooltip}}">
                                </div>
                            {{/if}}
                        {{/each}}
                    </div>
                {{/each}}
            {{/each}}
        {{/each}}
    {{/if}}

    {{#if displayCards}}
        <h2>{{localize 'AEDICES.stats.event.title'}}</h2>
        <span class="comment">{{localize 'AEDICES.stats.event.comment'}}</span>

        <h3>{{localize 'AEDICES.stats.event.actor.title'}}</h3>
        {{#each cardLines as |masteryLine|}}
            <h4 class="with-margin">{{masteryLine.subtitle}}</h4>
            {{#each masteryLine.children as |cardLine|}}
                <div class="flexrow stat-line">
                    <span class="risk-data">{{cardLine.risk}}</span>
                    {{#each cardLine.actorStats as |chance|}}
                        {{#if chance.displayed}}
                            <div class="stat-box" style="{{chance.style}}" title="{{chance.tooltip}}">
                            </div>
                        {{/if}}
                    {{/each}}
                </div>
            {{/each}}
        {{/each}}

        <h3>{{localize 'AEDICES.stats.event.opponent.title'}}</h3>
        {{#each cardLines as |masteryLine|}}
            <h4 class="with-margin">{{masteryLine.subtitle}}</h4>
            {{#each masteryLine.children as |cardLine|}}
                <div class="flexrow stat-line">
                    <span class="risk-data">{{cardLine.risk}}</span>
                    {{#each cardLine.opponentStats as |chance|}}
                        {{#if chance.displayed}}
                            <div class="stat-box" style="{{chance.style}}" title="{{chance.tooltip}}">
                            </div>
                        {{/if}}
                    {{/each}}
                </div>
            {{/each}}
        {{/each}}
    {{/if}}

</div>

